Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2119678 - ghc:9.2:3820220818061242:03e33927 FTBFS: cannot install buildroot for ghc component: nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
Summary: ghc:9.2:3820220818061242:03e33927 FTBFS: cannot install buildroot for ghc com...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: ghc
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL: https://mbs.fedoraproject.org/module-...
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-19 07:03 UTC by Petr Pisar
Modified: 2023-08-11 19:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-11 19:40:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2022-08-19 07:03:24 UTC
Building ghc:9.2 in Fedora 38 fails <https://mbs.fedoraproject.org/module-build-service/2/module-builds/15028> because installing dependencies for ghc component fails <https://koji.fedoraproject.org/koji/taskinfo?taskID=91001207>:

DEBUG util.py:540:  Executing command: ['/usr/bin/dnf', 'builddep', '--installroot', '/var/lib/mock/module-ghc-9.2-3820220818061242-03e33927-build-37497399-4778275/root/', '--setopt=install_weak_deps=0', '--disableplugin=local', '--disableplugin=spacewalk', '--disableplugin=versionlock', '/var/lib/mock/module-ghc-9.2-3820220818061242-03e33927-build-37497399-4778275/root//builddir/build/SRPMS/ghc-9.2.1-101.module_f38+15028+30a6cbd2.src.rpm', '--setopt=tsflags=nocontexts'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/var/lib/mock/module-ghc-9.2-3820220818061242-03e33927-build-37497399-4778275/root/installation-homedir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8', 'LC_MESSAGES': 'C.UTF-8'} and shell False
DEBUG util.py:443:  No matches found for the following disable plugin patterns: local, spacewalk, versionlock
DEBUG util.py:445:  Package make-1:4.3-11.fc37.x86_64 is already installed.
DEBUG util.py:443:  Error: 
DEBUG util.py:443:   Problem 1: conflicting requests
DEBUG util.py:443:    - nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
DEBUG util.py:443:   Problem 2: package ghc-transformers-devel-0.5.6.2-102.module_f38+14993+ed7fe8fc.x86_64 requires ghc-compiler = 8.10.7-102.module_f38+14993+ed7fe8fc, but none of the providers can be installed
DEBUG util.py:443:    - conflicting requests
DEBUG util.py:443:    - nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
DEBUG util.py:443:   Problem 3: package ghc-process-devel-1.6.13.2-102.module_f38+14993+ed7fe8fc.x86_64 requires ghc-compiler = 8.10.7-102.module_f38+14993+ed7fe8fc, but none of the providers can be installed
DEBUG util.py:443:    - conflicting requests
DEBUG util.py:443:    - nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
DEBUG util.py:443:   Problem 4: package ghc-pretty-devel-1.1.3.6-102.module_f38+14993+ed7fe8fc.x86_64 requires ghc-compiler = 8.10.7-102.module_f38+14993+ed7fe8fc, but none of the providers can be installed
DEBUG util.py:443:    - conflicting requests
DEBUG util.py:443:    - nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
DEBUG util.py:443:   Problem 5: package ghc-directory-devel-1.3.6.0-102.module_f38+14993+ed7fe8fc.x86_64 requires ghc-compiler = 8.10.7-102.module_f38+14993+ed7fe8fc, but none of the providers can be installed
DEBUG util.py:443:    - conflicting requests
DEBUG util.py:443:    - nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
DEBUG util.py:443:   Problem 6: package ghc-containers-devel-0.6.5.1-102.module_f38+14993+ed7fe8fc.x86_64 requires ghc-compiler = 8.10.7-102.module_f38+14993+ed7fe8fc, but none of the providers can be installed
DEBUG util.py:443:    - conflicting requests
DEBUG util.py:443:    - nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
DEBUG util.py:443:   Problem 7: package ghc-bytestring-devel-0.10.12.0-102.module_f38+14993+ed7fe8fc.x86_64 requires ghc-compiler = 8.10.7-102.module_f38+14993+ed7fe8fc, but none of the providers can be installed
DEBUG util.py:443:    - conflicting requests
DEBUG util.py:443:    - nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
DEBUG util.py:443:   Problem 8: package ghc-binary-devel-0.8.8.0-102.module_f38+14993+ed7fe8fc.x86_64 requires ghc-compiler = 8.10.7-102.module_f38+14993+ed7fe8fc, but none of the providers can be installed
DEBUG util.py:443:    - conflicting requests
DEBUG util.py:443:    - nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
DEBUG util.py:443:   Problem 9: package ghc-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64 requires ghc-compiler = 8.10.7-102.module_f38+14993+ed7fe8fc, but none of the providers can be installed
DEBUG util.py:443:    - conflicting requests
DEBUG util.py:443:    - nothing provides ghc-filesystem needed by ghc-compiler-8.10.7-102.module_f38+14993+ed7fe8fc.x86_64
DEBUG util.py:445:  (try to add '--skip-broken' to skip uninstallable packages)

Comment 1 Jens Petersen 2022-08-19 17:02:48 UTC
Ah thanks for the report.  Hmm, might be time to retire the ghc modules...

Though I am a bit puzzled since the main ghc package does provide the ghc-filesystem subpackage now.

Comment 2 Jens Petersen 2022-08-19 17:05:21 UTC
(Basically ghc:9.2 is deprecated by the ghc9.2 package now (currently on version 9.2.4))

Comment 3 Jens Petersen 2022-08-19 17:11:59 UTC
Maybe it was some temporary glitch or ?


So the current mirrored rawhide seems okay at least:


$ fhcontainer f38
fedora:38 b79a350181a3
[root@877ae4b68238 /]# dnf module install ghc:8.10
Fedora rawhide openh264 (From Cisco) - x86_64                                                       717  B/s | 2.5 kB     00:03    
Fedora - Rawhide - Developmental packages for the next Fedora release                                30 MB/s |  65 MB     00:02    
Fedora - Modular Rawhide - Developmental packages for the next Fedora release                       506 kB/s | 638 kB     00:01    
Dependencies resolved.
====================================================================================================================================
 Package                            Architecture   Version                                            Repository               Size
====================================================================================================================================
Upgrading:
 glibc                              x86_64         2.36.9000-1.fc38                                   rawhide                 2.1 M
 glibc-common                       x86_64         2.36.9000-1.fc38                                   rawhide                 287 k
 glibc-minimal-langpack             x86_64         2.36.9000-1.fc38                                   rawhide                 9.4 k
Installing group/module packages:
 ghc                                x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular         9.8 k
Installing dependencies:
 binutils                           x86_64         2.39-2.fc38                                        rawhide                 5.4 M
 binutils-gold                      x86_64         2.39-2.fc38                                        rawhide                 778 k
 cpp                                x86_64         12.1.1-4.fc38                                      rawhide                  11 M
 elfutils-debuginfod-client         x86_64         0.187-6.fc37                                       rawhide                  39 k
 gc                                 x86_64         8.0.6-4.fc37                                       rawhide                 103 k
 gcc                                x86_64         12.1.1-4.fc38                                      rawhide                  33 M
 ghc-Cabal                          x86_64         3.2.1.0-102.module_f38+14993+ed7fe8fc              rawhide-modular         3.9 M
 ghc-Cabal-devel                    x86_64         3.2.1.0-102.module_f38+14993+ed7fe8fc              rawhide-modular          18 M
 ghc-array                          x86_64         0.5.4.0-102.module_f38+14993+ed7fe8fc              rawhide-modular          87 k
 ghc-array-devel                    x86_64         0.5.4.0-102.module_f38+14993+ed7fe8fc              rawhide-modular         332 k
 ghc-base                           x86_64         4.14.3.0-102.module_f38+14993+ed7fe8fc             rawhide-modular         2.9 M
 ghc-base-devel                     x86_64         4.14.3.0-102.module_f38+14993+ed7fe8fc             rawhide-modular          10 M
 ghc-binary                         x86_64         0.8.8.0-102.module_f38+14993+ed7fe8fc              rawhide-modular         119 k
 ghc-binary-devel                   x86_64         0.8.8.0-102.module_f38+14993+ed7fe8fc              rawhide-modular         478 k
 ghc-bytestring                     x86_64         0.10.12.0-102.module_f38+14993+ed7fe8fc            rawhide-modular         181 k
 ghc-bytestring-devel               x86_64         0.10.12.0-102.module_f38+14993+ed7fe8fc            rawhide-modular         726 k
 ghc-compiler                       x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular         8.4 M
 ghc-containers                     x86_64         0.6.5.1-102.module_f38+14993+ed7fe8fc              rawhide-modular         574 k
 ghc-containers-devel               x86_64         0.6.5.1-102.module_f38+14993+ed7fe8fc              rawhide-modular         2.4 M
 ghc-deepseq                        x86_64         1.4.4.0-102.module_f38+14993+ed7fe8fc              rawhide-modular          30 k
 ghc-deepseq-devel                  x86_64         1.4.4.0-102.module_f38+14993+ed7fe8fc              rawhide-modular          86 k
 ghc-devel                          x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular          10 k
 ghc-directory                      x86_64         1.3.6.0-102.module_f38+14993+ed7fe8fc              rawhide-modular          83 k
 ghc-directory-devel                x86_64         1.3.6.0-102.module_f38+14993+ed7fe8fc              rawhide-modular         300 k
 ghc-exceptions                     x86_64         0.10.4-102.module_f38+14993+ed7fe8fc               rawhide-modular          49 k
 ghc-exceptions-devel               x86_64         0.10.4-102.module_f38+14993+ed7fe8fc               rawhide-modular         178 k
 ghc-filepath                       x86_64         1.4.2.1-102.module_f38+14993+ed7fe8fc              rawhide-modular          37 k
 ghc-filepath-devel                 x86_64         1.4.2.1-102.module_f38+14993+ed7fe8fc              rawhide-modular         112 k
 ghc-filesystem                     noarch         8.10.7-121.fc37                                    rawhide                 8.8 k
 ghc-ghc                            x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular          13 M
 ghc-ghc-boot                       x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular         137 k
 ghc-ghc-boot-devel                 x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular         515 k
 ghc-ghc-boot-th                    x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular          48 k
 ghc-ghc-boot-th-devel              x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular         139 k
 ghc-ghc-compact                    x86_64         0.1.0.0-102.module_f38+14993+ed7fe8fc              rawhide-modular          21 k
 ghc-ghc-compact-devel              x86_64         0.1.0.0-102.module_f38+14993+ed7fe8fc              rawhide-modular          46 k
 ghc-ghc-devel                      x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular          19 M
 ghc-ghc-heap                       x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular          90 k
 ghc-ghc-heap-devel                 x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular         331 k
 ghc-ghci                           x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular         353 k
 ghc-ghci-devel                     x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular         1.6 M
 ghc-haskeline                      x86_64         0.8.2-102.module_f38+14993+ed7fe8fc                rawhide-modular         287 k
 ghc-haskeline-devel                x86_64         0.8.2-102.module_f38+14993+ed7fe8fc                rawhide-modular         1.2 M
 ghc-hpc                            x86_64         0.6.1.0-102.module_f38+14993+ed7fe8fc              rawhide-modular          54 k
 ghc-hpc-devel                      x86_64         0.6.1.0-102.module_f38+14993+ed7fe8fc              rawhide-modular         162 k
 ghc-libiserv                       x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular          21 k
 ghc-libiserv-devel                 x86_64         8.10.7-102.module_f38+14993+ed7fe8fc               rawhide-modular          35 k
 ghc-mtl                            x86_64         2.2.2-102.module_f38+14993+ed7fe8fc                rawhide-modular          42 k
 ghc-mtl-devel                      x86_64         2.2.2-102.module_f38+14993+ed7fe8fc                rawhide-modular         173 k
 ghc-parsec                         x86_64         3.1.14.0-102.module_f38+14993+ed7fe8fc             rawhide-modular         119 k
 ghc-parsec-devel                   x86_64         3.1.14.0-102.module_f38+14993+ed7fe8fc             rawhide-modular         497 k
 ghc-pretty                         x86_64         1.1.3.6-102.module_f38+14993+ed7fe8fc              rawhide-modular          84 k
 ghc-pretty-devel                   x86_64         1.1.3.6-102.module_f38+14993+ed7fe8fc              rawhide-modular         292 k
 ghc-process                        x86_64         1.6.13.2-102.module_f38+14993+ed7fe8fc             rawhide-modular          66 k
 ghc-process-devel                  x86_64         1.6.13.2-102.module_f38+14993+ed7fe8fc             rawhide-modular         206 k
 ghc-stm                            x86_64         2.5.0.1-102.module_f38+14993+ed7fe8fc              rawhide-modular          36 k
 ghc-stm-devel                      x86_64         2.5.0.1-102.module_f38+14993+ed7fe8fc              rawhide-modular         112 k
 ghc-template-haskell               x86_64         2.16.0.0-102.module_f38+14993+ed7fe8fc             rawhide-modular         522 k
 ghc-template-haskell-devel         x86_64         2.16.0.0-102.module_f38+14993+ed7fe8fc             rawhide-modular         2.2 M
 ghc-terminfo                       x86_64         0.4.1.4-102.module_f38+14993+ed7fe8fc              rawhide-modular          53 k
 ghc-terminfo-devel                 x86_64         0.4.1.4-102.module_f38+14993+ed7fe8fc              rawhide-modular         172 k
 ghc-text                           x86_64         1.2.4.1-102.module_f38+14993+ed7fe8fc              rawhide-modular         377 k
 ghc-text-devel                     x86_64         1.2.4.1-102.module_f38+14993+ed7fe8fc              rawhide-modular         1.5 M
 ghc-time                           x86_64         1.9.3-102.module_f38+14993+ed7fe8fc                rawhide-modular         241 k
 ghc-time-devel                     x86_64         1.9.3-102.module_f38+14993+ed7fe8fc                rawhide-modular         998 k
 ghc-transformers                   x86_64         0.5.6.2-102.module_f38+14993+ed7fe8fc              rawhide-modular         192 k
 ghc-transformers-devel             x86_64         0.5.6.2-102.module_f38+14993+ed7fe8fc              rawhide-modular         922 k
 ghc-unix                           x86_64         2.7.2.2-102.module_f38+14993+ed7fe8fc              rawhide-modular         168 k
 ghc-unix-devel                     x86_64         2.7.2.2-102.module_f38+14993+ed7fe8fc              rawhide-modular         665 k
 ghc-xhtml                          x86_64         3000.2.2.1-102.module_f38+14993+ed7fe8fc           rawhide-modular          79 k
 ghc-xhtml-devel                    x86_64         3000.2.2.1-102.module_f38+14993+ed7fe8fc           rawhide-modular         284 k
 glibc-devel                        x86_64         2.36.9000-1.fc38                                   rawhide                  26 k
 glibc-headers-x86                  noarch         2.36.9000-1.fc38                                   rawhide                 503 k
 gmp-c++                            x86_64         1:6.2.1-3.fc37                                     rawhide                  19 k
 gmp-devel                          x86_64         1:6.2.1-3.fc37                                     rawhide                 173 k
 guile22                            x86_64         2.2.7-6.fc37                                       rawhide                 6.5 M
 jansson                            x86_64         2.13.1-5.fc37                                      rawhide                  44 k
 kernel-headers                     x86_64         6.0.0-0.rc1.git0.1.fc38                            rawhide                 1.5 M
 libffi-devel                       x86_64         3.4.2-9.fc37                                       rawhide                  29 k
 libmpc                             x86_64         1.2.1-5.fc37                                       rawhide                  61 k
 libpkgconf                         x86_64         1.8.0-3.fc37                                       rawhide                  36 k
 libtool-ltdl                       x86_64         2.4.7-2.fc37                                       rawhide                  37 k
 libxcrypt-devel                    x86_64         4.4.28-3.fc38                                      rawhide                  28 k
 make                               x86_64         1:4.3-11.fc37                                      rawhide                 542 k
 ncurses-c++-libs                   x86_64         6.3-3.20220501.fc37                                rawhide                  37 k
 ncurses-devel                      x86_64         6.3-3.20220501.fc37                                rawhide                 547 k
 pkgconf                            x86_64         1.8.0-3.fc37                                       rawhide                  41 k
 pkgconf-m4                         noarch         1.8.0-3.fc37                                       rawhide                  14 k
 pkgconf-pkg-config                 x86_64         1.8.0-3.fc37                                       rawhide                  10 k
Installing weak dependencies:
 zlib-devel                         x86_64         1.2.12-4.fc37                                      rawhide                  44 k
Installing module profiles:
 ghc/default                                                                                                                       
Enabling module streams:
 ghc                                               8.10                                                                            

Transaction Summary
====================================================================================================================================
Install  91 Packages
Upgrade   3 Packages

Total download size: 158 M
Is this ok [y/N]:

Comment 4 Petr Pisar 2022-08-22 11:44:29 UTC
I'm able to install ghc-compiler from ghc:8.10 too.
I retried building ghc:9.2 again it and failed with the same error <https://koji.fedoraproject.org/koji/taskinfo?taskID=91129719>.

The reason is that ghc-filesystem binary package is built from ghc source package. And because ghc:9.2 build-requies ghc:8.10 which also contains ghc component, the modular ghc source package from ghc:8.10 is tagged into a build root of ghc:9.2. This source package overlay nonmodular ghc source package:

$ koji latest-pkg module-ghc-9.2-3820220822102839-03e33927-build ghc
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
ghc-8.10.7-102.module_f38+14993+ed7fe8fc  module-ghc-8.10-3820220817064722-75741a8b  mbs/mbs.fedoraproject.org

But it does not have binary ghc-filesystem <https://koji.fedoraproject.org/koji/buildinfo?buildID=2047409>.

If you want to fix it, you nead either add ghc-filesystem to ghc:8.10 (or ghc:9.2) at least as build-only package, or the nonmodular ghc-filesystem package must be built from a distinct source package from "ghc".

Or you should obsolete/retire this ghc:9.2 stream or exclude it from building for platform:f38.

Comment 5 Jens Petersen 2023-04-25 05:17:10 UTC
I would like to just drop the ghc modules.

This are obsoleted by the newer ghcX.Y packages.

It looks to me that ghc:9.2 hasn't been rebuilt in koji since August 2022.

Comment 6 Jens Petersen 2023-04-25 05:19:57 UTC
AFAICT there is only ghc:8.10 actually in F38+.

But I can open a releng ticket to formalize things if that is better.

Comment 7 Petr Pisar 2023-04-25 09:12:36 UTC
That would be much appreciated. Please for module streams which you do not support open a releng ticket at <https://pagure.io/releng/new_issue?template=module_eol>. That will properly lock the dist-git branches and koji tags and remove the streams from Rawhide repositories.

Next step is declaring the end of life in <https://pagure.io/releng/fedora-module-defaults>. That will instruct DNF to disable the obsolete streams on distro upgrade (or sooner if a user explicitly enabled active obsoleting of modules. I can handle this part if you tell me which streams and since when they are obsolete.

Comment 8 Jens Petersen 2023-04-25 11:06:47 UTC
Okay I opened https://pagure.io/releng/issue/11405


Note You need to log in before you can comment on or make changes to this bug.